### GET /api/v1/monitor/processes Source: https://site2md.context7.com/openapi.json Get current browser process and memory statistics. Returns real-time information about: - Number of browser processes (Chromium, Playwright, etc.) - Memory usage by browsers - System memory statistics - Process memory growth ```markdown ### Parameters - **authorization** (union, header, optional) ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/monitor/processes" ``` ``` -------------------------------- ### GET / Source: https://site2md.context7.com/openapi.json Root endpoint with API information. ```markdown ### Responses #### 200 - Successful Response ### Example Usage ```bash curl -X GET "https://api.example.com/" ``` ``` -------------------------------- ### GET /api/v1/check-website Source: https://site2md.context7.com/openapi.json API endpoint for GET /api/v1/check-website ```markdown ### Parameters - **url** (string, query, required) - **repo_name** (union, query, optional) - **authorization** (union, header, optional) ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/check-website?url=string&repo_name=value" ``` ``` -------------------------------- ### GET /health Source: https://site2md.context7.com/openapi.json Health check endpoint for Kubernetes probes. ```markdown ### Responses #### 200 - Successful Response ### Example Usage ```bash curl -X GET "https://api.example.com/health" ``` ``` -------------------------------- ### POST /api/v1/convert Source: https://site2md.context7.com/openapi.json Convert documentation to Markdown and create GitHub repository. ```markdown ### Parameters - **authorization** (union, header, optional) ### Request Body **Content-Type:** application/json - **url** (string (uri)) (required): URL of the website to convert - **base_url** (string (uri)) (required): Base URL for crawling scope - **repo_name** (string) (required): Name of the GitHub repository - **description** (string) - **force** (boolean): Force conversion even if one is in progress - **rerun** (boolean): Rerun conversion even if one is in progress - **rate_limit** (boolean): Apply rate limiting config to requests - **project_id** (string) - **keep_query** (boolean) - **keep_fragment** (boolean) - **sitemap_url** (string) ### Responses #### 200 - Successful Response **ConvertResponse** - **message** (string) (required): Status message - **repo_name** (string) (required): Name of the GitHub repository - **github_url** (string) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X POST "https://api.example.com/api/v1/convert" \ -H "Content-Type: application/json" \ -d '{ "url": "string", "base_url": "string", "repo_name": "string", "description": "value", "force": "false", "rerun": "false", "rate_limit": "false", "project_id": "value", "keep_query": "value", "keep_fragment": "value", "sitemap_url": "value" }' ``` ``` -------------------------------- ### API Overview: Site2MD API Source: https://site2md.context7.com/openapi.json Convert documentation websites to Markdown and store in GitHub ```yaml # Site2MD API # Version: 1.0.0 Convert documentation websites to Markdown and store in GitHub # Base URL: Not specified ``` -------------------------------- ### POST /api/v1/cancel/{repo_name} Source: https://site2md.context7.com/openapi.json API endpoint for POST /api/v1/cancel/{repo_name} ```markdown ### Parameters - **repo_name** (string, path, required) - **authorization** (union, header, optional) ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X POST "https://api.example.com/api/v1/cancel/{repo_name}" ``` ``` -------------------------------- ### Schema: ConvertRequest Source: https://site2md.context7.com/openapi.json Request model for website conversion. ```markdown ## Schema: ConvertRequest Request model for website conversion. **Type:** object - **url** (string (uri)) (required): URL of the website to convert - **base_url** (string (uri)) (required): Base URL for crawling scope - **repo_name** (string) (required): Name of the GitHub repository - **description** (string) - **force** (boolean): Force conversion even if one is in progress - **rerun** (boolean): Rerun conversion even if one is in progress - **rate_limit** (boolean): Apply rate limiting config to requests - **project_id** (string) - **keep_query** (boolean) - **keep_fragment** (boolean) - **sitemap_url** (string) ``` -------------------------------- ### Schema: ConvertResponse Source: https://site2md.context7.com/openapi.json Response model for conversion request. ```markdown ## Schema: ConvertResponse Response model for conversion request. **Type:** object - **message** (string) (required): Status message - **repo_name** (string) (required): Name of the GitHub repository - **github_url** (string) ``` -------------------------------- ### Schema: HTTPValidationError Source: https://site2md.context7.com/openapi.json Schema definition for HTTPValidationError ```markdown ## Schema: HTTPValidationError Schema definition for HTTPValidationError **Type:** object - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ``` -------------------------------- ### Schema: ValidationError Source: https://site2md.context7.com/openapi.json Schema definition for ValidationError ```markdown ## Schema: ValidationError Schema definition for ValidationError **Type:** object - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ``` === COMPLETE CONTENT === This response contains all available snippets from this library. No additional content exists. Do not make further requests.